Bug 1557599 - [RFE] Rebase ipset (kernel) to latest upstream
Summary: [RFE] Rebase ipset (kernel) to latest upstream
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 7.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Stefano Brivio
QA Contact: yiche
Ioanna Gkioka
URL:
Whiteboard:
Keywords: FutureFeature, Rebase
Depends On:
Blocks: 1445152 1496859 1504578 1541064 1554861
TreeView+ depends on / blocked
 
Reported: 2018-03-17 01:52 UTC by Stefano Brivio
Modified: 2018-10-30 08:49 UTC (History)
9 users (show)

Fixed In Version: kernel-3.10.0-894.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
*ipset* rebased to Linux kernel version 4.17 The *ipset* kernel component has been upgraded to upstream Linux kernel version 4.17 which provides a number of enhancements and bug fixes over the previous version. Notable changes include: * The following *ipset* types are now supported: * hash:net,net * hash:net,port,net * hash:ip,mark * hash:mac * hash:ip,mac
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-30 08:49:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1445152 None None None 2019-03-15 05:21 UTC

Internal Trackers: 1445152

Description Stefano Brivio 2018-03-17 01:52:20 UTC
We now have customer bugs requesting features that have been introduced upstream quite recently, and it would be impractical and risky to introduce them with the big gap we currently have in our codebase.

We had recent, critical bugs, that were fixed upstream, but we couldn't conveniently backport any patch, and we had to resort to RHEL-only patches. See e.g. bz1517397.

Furthermore, the userspace component is more recent than the kernel implementation, and supports set types that are not supported in kernel, causing obvious inconsistencies. Also the current upstream test suite is unusable with our current kernel implementation.

This poses a strong case for a rebase of the kernel component.

Comment 5 Bruno Meneguele 2018-05-29 10:06:21 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 6 Bruno Meneguele 2018-05-29 10:39:39 UTC
Patch(es) available on kernel-3.10.0-894.el7

Comment 9 yiche 2018-07-20 06:57:46 UTC
I have run upstream test: git clone git://git.netfilter.org/ipset on kernel-3.10.0-898.el7 and get result:
https://beaker.engineering.redhat.com/recipes/5307771#task74304094
all items gone through


review result.log,there is only one item failed:
Failed test: ./check_klog.sh 10.255.255.64 udp 1025 netiface

that because when exec 
sendip -p ipv4 -id 10.255.255.254 -is 10.255.255.64 -p udp -ud 80 -us 1025 10.255.255.254

there is a few iptables rule remain:
Chain OUTPUT (policy ACCEPT 29 packets, 3576 bytes)
pkts bytes target     prot opt in     out     source               destination         
    0     0 LOG        all  --  *      *       0.0.0.0/0            0.0.0.0/0            match-set test dst,dst LOG flags 0 level 4 prefix "in set netiface: "
    1    28 DROP       all  --  *      *       0.0.0.0/0      10.255.255.254 

That drop cause sendto() EPERM (Operation not permitted). sendip use RAW socket to generate IP payload.

I don't think it's a issue.

Comment 10 yiche 2018-07-20 07:17:03 UTC
I also cover these type: 
- hash:net,net
- hash:net,port,net
- hash:ip,mark
- hash:ip,mac
basic function works fine.
no issue found.

Comment 12 yiche 2018-08-02 02:12:11 UTC
There is a issue hash:mac can't be matched as a destination MAC address. 
Bug 1607252

Comment 14 Stefano Brivio 2018-08-02 21:18:41 UTC
Hi Yi Chen,

(In reply to yiche from comment #12)

> There is a issue hash:mac can't be matched as a destination MAC address. 
> Bug 1607252

Wouldn't it make sense to keep this as VERIFIED, though, and track the additional issue separately?

Comment 15 yiche 2018-08-03 01:01:06 UTC
Ok,We can track it separately.

Comment 21 errata-xmlrpc 2018-10-30 08:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3083


Note You need to log in before you can comment on or make changes to this bug.